xine-lib: mpeg2dec_s Struct Reference

xine-lib 1.2.12

Data Fields
mpeg2dec_s Struct Reference

`#include <mpeg2.h>`

## Data Fields
xine_video_port_t * | output
uint32_t | frame_format
struct picture_s * | picture
uint32_t | shift
int | new_sequence
int | is_sequence_needed
int | is_wait_for_ip_frames
int | frames_to_drop
int | drop_frame
int | in_slice
int | seek_mode
int | is_frame_needed
uint8_t * | chunk_buffer
uint8_t * | chunk_ptr
uint8_t | code
uint32_t | chunk_size
int64_t | pts
uint32_t | rff_pattern
int | force_aspect
int | force_pan_scan
int | afd_value_seen
int | afd_value_reported
xine_stream_t * | stream
spu_decoder_t * | cc_dec
mpeg2dec_accel_t | accel
mpeg2_decoder_t | decoder
mpeg2_info_t | info
int | is_display_initialized
mpeg2_state_t(* | action )(struct mpeg2dec_s *mpeg2dec)
mpeg2_state_t | state
uint32_t | ext_state
uint8_t * | chunk_start
uint32_t | tag_current
uint32_t | tag2_current
uint32_t | tag_previous
uint32_t | tag2_previous
int | num_tags
int | bytes_since_tag
int | first
int | alloc_index_user
int | alloc_index
uint8_t | first_decode_slice
uint8_t | nb_decode_slices
unsigned int | user_data_len
mpeg2_sequence_t | new_sequence
mpeg2_sequence_t | sequence
mpeg2_gop_t | new_gop
mpeg2_gop_t | gop
mpeg2_picture_t | new_picture
mpeg2_picture_t | pictures [4]
mpeg2_picture_t * | picture
mpeg2_fbuf_t * | fbuf [3]
fbuf_alloc_t | fbuf_alloc [3]
int | custom_fbuf
uint8_t * | yuv_buf [3][3]
int | yuv_index
mpeg2_convert_t * | convert
void * | convert_arg
unsigned int | convert_id_size
int | convert_stride
void(* | convert_start )(void *id, const mpeg2_fbuf_t *fbuf, const mpeg2_picture_t *picture, const mpeg2_gop_t *gop)
uint8_t * | buf_start
uint8_t * | buf_end
int16_t | display_offset_x
int16_t | display_offset_y
int | copy_matrix
int8_t | q_scale_type
int8_t | scaled [4]
uint8_t | quantizer_matrix [4][64]
uint8_t | new_quantizer_matrix [4][64]

## Field Documentation

## ◆ accel

mpeg2dec_accel_t mpeg2dec_s::accel

Referenced by mpeg2_decode_data(), mpeg2_discontinuity(), mpeg2_init(), and parse_chunk().

## ◆ action

mpeg2_state_t(* mpeg2dec_s::action) (struct mpeg2dec_s *mpeg2dec)

Referenced by invalid_end_action(), mpeg2_header_end(), mpeg2_header_sequence_finalize(), mpeg2_header_slice_start(), mpeg2_parse(), mpeg2_parse_header(), mpeg2_reset(), and seek_sequence().

## ◆ afd_value_reported

int mpeg2dec_s::afd_value_reported

Referenced by mpeg2_init(), and parse_chunk().

## ◆ afd_value_seen

int mpeg2dec_s::afd_value_seen

Referenced by mpeg2_init(), parse_chunk(), and process_userdata().

## ◆ alloc_index

int mpeg2dec_s::alloc_index

Referenced by mpeg2_header_picture_finalize(), mpeg2_header_state_init(), and mpeg2_set_buf().

## ◆ alloc_index_user

int mpeg2dec_s::alloc_index_user

Referenced by mpeg2_header_state_init(), and mpeg2_set_buf().

## ◆ buf_end

uint8_t* mpeg2dec_s::buf_end

Referenced by mpeg2_buffer(), mpeg2_getpos(), mpeg2_parse(), mpeg2_parse_header(), mpeg2_reset(), and seek_chunk().

## ◆ buf_start

uint8_t* mpeg2dec_s::buf_start

Referenced by copy_chunk(), mpeg2_buffer(), mpeg2_getpos(), mpeg2_parse(), mpeg2_parse_header(), mpeg2_reset(), seek_chunk(), and skip_chunk().

## ◆ bytes_since_tag

int mpeg2dec_s::bytes_since_tag

Referenced by mpeg2_header_picture(), mpeg2_parse(), mpeg2_parse_header(), mpeg2_tag_picture(), and seek_chunk().

## ◆ cc_dec

spu_decoder_t* mpeg2dec_s::cc_dec

Referenced by mpeg2_close(), and process_userdata().

## ◆ chunk_buffer

uint8_t * mpeg2dec_s::chunk_buffer

Referenced by copy_chunk(), info_user_data(), mpeg2_close(), mpeg2_decode_data(), mpeg2_find_sequence_header(), mpeg2_init(), mpeg2_parse(), mpeg2_parse_header(), mpeg2_seek_header(), and parse_chunk().

## ◆ chunk_ptr

uint8_t * mpeg2dec_s::chunk_ptr

Referenced by copy_chunk(), mpeg2_decode_data(), mpeg2_header_picture(), mpeg2_header_user_data(), mpeg2_init(), mpeg2_parse(), mpeg2_parse_header(), and mpeg2_seek_header().

## ◆ chunk_size

uint32_t mpeg2dec_s::chunk_size

Referenced by copy_chunk(), and parse_chunk().

## ◆ chunk_start

uint8_t* mpeg2dec_s::chunk_start

Referenced by mpeg2_header_extension(), mpeg2_header_gop(), mpeg2_header_picture(), mpeg2_header_sequence(), mpeg2_header_user_data(), mpeg2_parse(), mpeg2_parse_header(), mpeg2_seek_header(), picture_coding_ext(), picture_display_ext(), quant_matrix_ext(), sequence_display_ext(), and sequence_ext().

## ◆ code

uint8_t mpeg2dec_s::code

Referenced by copy_chunk(), mpeg2_decode_data(), mpeg2_find_sequence_header(), mpeg2_init(), mpeg2_parse(), mpeg2_parse_header(), mpeg2_reset(), mpeg2_seek_header(), and seek_chunk().

## ◆ convert

mpeg2_convert_t* mpeg2dec_s::convert

Referenced by mpeg2_convert(), mpeg2_header_end(), mpeg2_header_picture_finalize(), mpeg2_header_state_init(), mpeg2_set_fbuf(), and mpeg2_stride().

## ◆ convert_arg

void* mpeg2dec_s::convert_arg

Referenced by mpeg2_convert(), mpeg2_header_picture_finalize(), and mpeg2_stride().

## ◆ convert_id_size

unsigned int mpeg2dec_s::convert_id_size

Referenced by mpeg2_convert(), mpeg2_header_picture_finalize(), and mpeg2_stride().

## ◆ convert_start

void(* mpeg2dec_s::convert_start) (void *id, const mpeg2_fbuf_t *fbuf, const mpeg2_picture_t *picture, const mpeg2_gop_t *gop)

Referenced by mpeg2_header_picture_finalize(), mpeg2_header_slice_start(), and mpeg2_header_state_init().

## ◆ convert_stride

int mpeg2dec_s::convert_stride

Referenced by mpeg2_convert(), mpeg2_header_picture_finalize(), and mpeg2_stride().

## ◆ copy_matrix

int mpeg2dec_s::copy_matrix

Referenced by finalize_matrix(), mpeg2_header_picture(), mpeg2_header_sequence(), and quant_matrix_ext().

## ◆ custom_fbuf

int mpeg2dec_s::custom_fbuf

Referenced by mpeg2_custom_fbuf(), mpeg2_header_picture_finalize(), mpeg2_header_state_init(), and mpeg2_set_buf().

## ◆ decoder

mpeg2_decoder_t mpeg2dec_s::decoder

Referenced by finalize_matrix(), mpeg2_header_end(), mpeg2_header_picture(), mpeg2_header_picture_finalize(), mpeg2_header_sequence_finalize(), mpeg2_header_slice_start(), mpeg2_header_state_init(), mpeg2_init(), mpeg2_parse(), mpeg2_set_buf(), mpeg2_stride(), picture_coding_ext(), and prescale().

## ◆ display_offset_x

int16_t mpeg2dec_s::display_offset_x

Referenced by mpeg2_header_picture(), mpeg2_header_sequence(), and picture_display_ext().

## ◆ display_offset_y

int16_t mpeg2dec_s::display_offset_y

Referenced by mpeg2_header_picture(), mpeg2_header_sequence(), and picture_display_ext().

## ◆ drop_frame

int mpeg2dec_s::drop_frame

Referenced by mpeg2_init(), and parse_chunk().

## ◆ ext_state

uint32_t mpeg2dec_s::ext_state

Referenced by mpeg2_header_extension(), mpeg2_header_picture(), mpeg2_header_sequence(), picture_coding_ext(), and sequence_ext().

## ◆ fbuf

mpeg2_fbuf_t* mpeg2dec_s::fbuf[3]

Referenced by mpeg2_header_end(), mpeg2_header_picture_finalize(), mpeg2_header_slice_start(), mpeg2_header_state_init(), mpeg2_set_buf(), and mpeg2_set_fbuf().

## ◆ fbuf_alloc

fbuf_alloc_t mpeg2dec_s::fbuf_alloc[3]

Referenced by mpeg2_header_picture_finalize(), mpeg2_header_state_init(), mpeg2_set_buf(), and mpeg2_set_fbuf().

## ◆ first

int mpeg2dec_s::first

Referenced by mpeg2_header_picture_finalize(), mpeg2_header_state_init(), and mpeg2_reset().

## ◆ first_decode_slice

uint8_t mpeg2dec_s::first_decode_slice

Referenced by mpeg2_header_state_init(), mpeg2_parse(), mpeg2_skip(), and mpeg2_slice_region().

## ◆ force_aspect

int mpeg2dec_s::force_aspect

Referenced by mpeg2_find_sequence_header(), and parse_chunk().

## ◆ force_pan_scan

int mpeg2dec_s::force_pan_scan

Referenced by mpeg2_find_sequence_header(), parse_chunk(), and process_userdata().

## ◆ frame_format

uint32_t mpeg2dec_s::frame_format

Referenced by mpeg2_decode_data(), mpeg2_discontinuity(), mpeg2_init(), and parse_chunk().

## ◆ frames_to_drop

int mpeg2dec_s::frames_to_drop

Referenced by mpeg2_init(), and parse_chunk().

## ◆ gop

mpeg2_gop_t mpeg2dec_s::gop

Referenced by mpeg2_header_gop_finalize().

## ◆ in_slice

int mpeg2dec_s::in_slice

Referenced by mpeg2_discontinuity(), mpeg2_init(), mpeg2_reset(), and parse_chunk().

## ◆ info

mpeg2_info_t mpeg2dec_s::info

Referenced by info_user_data(), invalid_end_action(), mpeg2_header_end(), mpeg2_header_gop_finalize(), mpeg2_header_picture_finalize(), mpeg2_header_sequence_finalize(), mpeg2_header_slice_start(), mpeg2_info(), mpeg2_parse_header(), mpeg2_reset(), mpeg2_set_fbuf(), and seek_sequence().

## ◆ is_display_initialized

int mpeg2dec_s::is_display_initialized

## ◆ is_frame_needed

int mpeg2dec_s::is_frame_needed

Referenced by mpeg2_decode_data(), and parse_chunk().

## ◆ is_sequence_needed

int mpeg2dec_s::is_sequence_needed

Referenced by mpeg2_find_sequence_header(), mpeg2_init(), and parse_chunk().

## ◆ is_wait_for_ip_frames

int mpeg2dec_s::is_wait_for_ip_frames

Referenced by mpeg2_init(), mpeg2_reset(), and parse_chunk().

## ◆ nb_decode_slices

uint8_t mpeg2dec_s::nb_decode_slices

Referenced by mpeg2_header_slice_start(), mpeg2_header_state_init(), mpeg2_parse(), mpeg2_skip(), and mpeg2_slice_region().

## ◆ new_gop

mpeg2_gop_t mpeg2dec_s::new_gop

Referenced by mpeg2_header_gop(), and mpeg2_header_gop_finalize().

## ◆ new_picture

mpeg2_picture_t mpeg2dec_s::new_picture

Referenced by mpeg2_header_picture(), mpeg2_header_picture_finalize(), picture_coding_ext(), and picture_display_ext().

## ◆ new_quantizer_matrix

uint8_t mpeg2dec_s::new_quantizer_matrix[4][64]

Referenced by copy_matrix(), finalize_matrix(), mpeg2_header_sequence(), and quant_matrix_ext().

## ◆ new_sequence [1/2]

int mpeg2dec_s::new_sequence

Referenced by invalid_end_action(), mpeg2_find_sequence_header(), mpeg2_header_sequence(), mpeg2_header_sequence_finalize(), mpeg2_init(), parse_chunk(), sequence_display_ext(), and sequence_ext().

## ◆ new_sequence [2/2]

mpeg2_sequence_t mpeg2dec_s::new_sequence

## ◆ num_tags

int mpeg2dec_s::num_tags

Referenced by mpeg2_header_picture(), mpeg2_reset(), and mpeg2_tag_picture().

## ◆ output

xine_video_port_t* mpeg2dec_s::output

Referenced by mpeg2_init().

## ◆ picture [1/2]

struct picture_s* mpeg2dec_s::picture

Referenced by get_aspect_ratio(), get_frame_duration(), mpeg2_close(), mpeg2_decode_data(), mpeg2_discontinuity(), mpeg2_find_sequence_header(), mpeg2_flush(), mpeg2_header_end(), mpeg2_header_picture_finalize(), mpeg2_header_slice_start(), mpeg2_header_state_init(), mpeg2_init(), mpeg2_reset(), parse_chunk(), process_userdata(), and remember_metainfo().

## ◆ picture [2/2]

mpeg2_picture_t* mpeg2dec_s::picture

## ◆ pictures

mpeg2_picture_t mpeg2dec_s::pictures[4]

Referenced by mpeg2_header_end(), mpeg2_header_picture_finalize(), and mpeg2_header_state_init().

## ◆ pts

int64_t mpeg2dec_s::pts

Referenced by mpeg2_decode_data(), mpeg2_discontinuity(), parse_chunk(), and process_userdata().

## ◆ q_scale_type

int8_t mpeg2dec_s::q_scale_type

Referenced by mpeg2_header_picture(), picture_coding_ext(), and prescale().

## ◆ quantizer_matrix

uint8_t mpeg2dec_s::quantizer_matrix[4][64]

Referenced by copy_matrix(), finalize_matrix(), mpeg2_init(), and prescale().

## ◆ rff_pattern

uint32_t mpeg2dec_s::rff_pattern

Referenced by get_frame_duration().

## ◆ scaled

int8_t mpeg2dec_s::scaled[4]

Referenced by copy_matrix(), and prescale().

## ◆ seek_mode

int mpeg2dec_s::seek_mode

Referenced by mpeg2_decode_data(), mpeg2_find_sequence_header(), mpeg2_init(), and mpeg2_reset().

## ◆ sequence

mpeg2_sequence_t mpeg2dec_s::sequence

Referenced by invalid_end_action(), mpeg2_convert(), mpeg2_header_end(), mpeg2_header_picture_finalize(), mpeg2_header_sequence_finalize(), mpeg2_header_state_init(), mpeg2_init(), mpeg2_seek_header(), mpeg2_set_fbuf(), mpeg2_stride(), picture_coding_ext(), and picture_display_ext().

## ◆ shift

uint32_t mpeg2dec_s::shift

Referenced by copy_chunk(), find_start_code(), mpeg2_decode_data(), mpeg2_init(), mpeg2_reset(), and skip_chunk().

## ◆ state

mpeg2_state_t mpeg2dec_s::state

Referenced by invalid_end_action(), mpeg2_header_gop(), mpeg2_header_picture(), mpeg2_header_picture_finalize(), mpeg2_header_sequence(), mpeg2_header_sequence_finalize(), mpeg2_header_slice_start(), mpeg2_parse(), mpeg2_parse_header(), mpeg2_reset(), and mpeg2_set_buf().

## ◆ stream

xine_stream_t* mpeg2dec_s::stream

Referenced by get_frame_duration(), mpeg2_close(), mpeg2_find_sequence_header(), mpeg2_flush(), parse_chunk(), process_userdata(), and remember_metainfo().

## ◆ tag2_current

uint32_t mpeg2dec_s::tag2_current

Referenced by mpeg2_header_picture(), and mpeg2_tag_picture().

## ◆ tag2_previous

uint32_t mpeg2dec_s::tag2_previous

Referenced by mpeg2_header_picture(), and mpeg2_tag_picture().

## ◆ tag_current

uint32_t mpeg2dec_s::tag_current

Referenced by mpeg2_header_picture(), and mpeg2_tag_picture().

## ◆ tag_previous

uint32_t mpeg2dec_s::tag_previous

Referenced by mpeg2_header_picture(), and mpeg2_tag_picture().

## ◆ user_data_len

unsigned int mpeg2dec_s::user_data_len

Referenced by info_user_data(), mpeg2_header_user_data(), mpeg2_parse_header(), and mpeg2_seek_header().

## ◆ yuv_buf

uint8_t* mpeg2dec_s::yuv_buf[3][3]

Referenced by mpeg2_header_picture_finalize(), mpeg2_header_slice_start(), and mpeg2_header_state_init().

## ◆ yuv_index

int mpeg2dec_s::yuv_index

Referenced by mpeg2_header_slice_start(), and mpeg2_header_state_init().

The documentation for this struct was generated from the following files:

- xine-lib-1.2.12/src/video_dec/libmpeg2/mpeg2.h
- xine-lib-1.2.12/src/video_dec/libmpeg2new/libmpeg2/mpeg2_internal.h